﻿@page
@model OdeToFood.Pages.Restaurants.ListModel
@{
    ViewData["Title"] = "List";
}

@if (Model.Message != null)
{
    <div class="alert alert-info">@Model.Message</div>
}

<h1>
    <a asp-page="./Edit"><i class="fa fa-plus"></i></a>
    (
        <vc:restaurant-count></vc:restaurant-count> of
        @Model.Restaurants.Count()
    ) Restaurants
</h1>
<p>Manage restaurant records. View, Add, update and delete.</p>

<form method="get">
    <div class="form-group">
        <div class="input-group">
            <input type="search" class="form-control" asp-for="@Model.SearchKeyword" placeholder="Search keyword..." value="" autofocus />
            <span class="input-group-append">
                <button class="btn btn-primary">
                    <i class="fa fa-search"></i>
                </button>
            </span>
        </div>
    </div>
</form>
@*<table class="table table-hover table-striped">
    <thead>
        <tr>
            <th>Name</th>
            <th>Location</th>
            <th>Cuisine</th>
        </tr>
    </thead>
    <tbody>
        @if (Model.Restaurants.Any())
        {
            foreach (var item in Model.Restaurants)
            {
                <tr>
                    <td>
                        <a asp-page="./Details" asp-route-id="@item.Id"><i class="fa fa-search"></i></a>
                        <a asp-page="./Edit" asp-route-id="@item.Id"><i class="fa fa-edit"></i></a>
                        <a asp-page="./Delete" asp-route-id="@item.Id"><i class="fa fa-trash"></i></a>
                        @item.Name
                    </td>
                    <td>@item.Location</td>
                    <td>@item.Cuisine.ToString()</td>
                </tr>
            }
        }
        else
        {
            <tr>
                <td colspan="100" class="text-center">No records found!</td>
            </tr>
        }

    </tbody>
</table>*@

<div class="row">
    @if (Model.Restaurants.Any())
    {
        foreach (var item in Model.Restaurants)
        {
            <partial name="_Summary" model="item" />
        }
    }
</div>
